www.cendio.com

Bug 5001

Summary: Support IGEL IZ1
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: Client platformsAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 Keywords: ossman_tester, relnotes
Version: trunk   
Target Milestone: 4.3.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 5000    
Bug Blocks:    

Description From cendio 2014-02-24 15:19:27
IGEL has an ARM device called IZ1, or sometimes, D510C. It's a device based on
DM8148. Some information:

$ uname -a
Linux dhcp-254-173.lkpg.cendio.se 2.6.37 #igel-arm-r1006 Fri Aug 23 13:04:03
UTC 2013 armv7l armv7l armv7l GNU/Linux

$ ls -l /lib/ld-linux.so.3 
lrwxrwxrwx 1 root system 10 2013-11-11 13:15 /lib/ld-linux.so.3 -> ld-2.13.so

$ ls -l /lib/libc.so.6 
lrwxrwxrwx 1 root system 12 2013-11-11 13:15 /lib/libc.so.6 -> libc-2.13.so

It's softfloat:

$ readelf -a iz1-ls  | grep FP
  Tag_VFP_arch: VFPv3-D16
  Tag_ABI_FP_denormal: Needed
  Tag_ABI_FP_exceptions: Needed
  Tag_ABI_FP_number_model: IEEE 754
  Tag_ABI_HardFP_use: SP and DP
------- Comment #1 From cendio 2014-06-05 13:06:26 -------
Fixed in 29048.
------- Comment #2 From cendio 2014-09-30 13:57:50 -------
Works well. Tested:

 - Sound
 - Drives (was not enabled locally at first though)
 - Smart card
 - Local printer